Collection Current Owners

NOTE: This endpoint is only callable by API keys in the following tiers:

  • Business
  • Developer
  • Enterprise
  • PremiumSharedRpc
  • StarterSharedRpc
  • UltimateSharedRpc

Shows number of distinct wallets that currently own an NFT in a collection

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Examples

Get current owner count for a collection

const axios = require("axios");

const url = "https://rest-api.hellomoon.io/v0/nft/collection/ownership/current";

async function getCurrentOwnerCount() {
    const { data } = await axios.post(
        url,
        {
			"helloMoonCollectionId": "040de757c0d2b75dcee999ddd47689c4"
		},
        {
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: "Bearer <your_token>",
            },
        }
    );

    console.log(data);
}
Body Params

body

string

To find the correct helloMoonCollectionId, click here and search a collection name. This list is continuously updated.
optional field

number
1 to 1000

The number of results to return per page
optional field

number
≥ 1

The page number to return
optional field

string

The pagination token to use to keep your position in the results
optional field

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json